Page MenuHomePhabricator

Phase out https://gerrit.wikimedia.org/mediawiki-extensions.txt
Closed, ResolvedPublic

Description

We still have a cron job generating a list of MediaWiki extensions and made available at https://gerrit.wikimedia.org/mediawiki-extensions.txt

I introduced it back in 2013 with https://gerrit.wikimedia.org/r/c/operations/puppet/+/3149 , probably for translatewiki.net

There is no equivalent for skins.
There is barely any http hit on the server beside web crawlers such as search engines.
It seems the last usage has been removed in 2014: https://gerrit.wikimedia.org/r/c/translatewiki/+/152294

The last use seems to be for extension distributor:

CommonSettings.php
if ( $wgDBname === 'mediawikiwiki' ) {
	wfLoadExtension( 'ExtensionDistributor' );
	$wgExtDistListFile = 'https://gerrit.wikimedia.org/mediawiki-extensions.txt';
	$wgExtDistAPIConfig = [
		'class' => 'GerritExtDistProvider',
		'apiUrl' => 'https://gerrit.wikimedia.org/r/projects/mediawiki%2F$TYPE%2F$EXT/branches',
		'tarballUrl' => 'https://extdist.wmflabs.org/dist/$TYPE/$EXT-$REF-$SHA.tar.gz',
		'tarballName' => '$EXT-$REF-$SHA.tar.gz',
		'repoListUrl' => 'https://gerrit.wikimedia.org/r/projects/?b=master&p=mediawiki/$TYPE/',
		'sourceUrl' => 'https://gerrit.wikimedia.org/r/mediawiki/$TYPE/$EXT.git',
	];

As such, I would like to remove the cron job and the file ;)

Event Timeline

hashar created this task.Oct 20 2020, 2:21 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 20 2020, 2:21 PM
Kizule added a subscriber: Kizule.Oct 20 2020, 10:51 PM

Arghhh extension distributor ... that is the usecase :-\

Thank you @Nikerabbit

hashar updated the task description. (Show Details)Oct 23 2020, 9:33 AM

ExtensionDistributor doesn't actually use it anymore either, it relies on repoListUrl which talks to the Gerrit API directly.

Change 636083 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[operations/mediawiki-config@master] Remove $wgExtDistListFile, unused

https://gerrit.wikimedia.org/r/636083

Change 636084 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] gerrit: remove 'list_mediawiki_extensions' cron job

https://gerrit.wikimedia.org/r/636084

Dzahn added a subscriber: Dzahn.Oct 23 2020, 9:17 PM

Change 636084 merged by Dzahn:
[operations/puppet@production] gerrit: remove 'list_mediawiki_extensions' cron job

https://gerrit.wikimedia.org/r/636084

Dzahn added a comment.Tue, Oct 27, 8:11 PM

17:22 < mutante> !log gerrit1001/2001 - sudo rm /var/www/mediawiki-extensions.txt

Mentioned in SAL (#wikimedia-operations) [2020-10-27T20:13:33Z] <mutante> gerrit1001/gerrit2001: manually deleting list_mediawiki_extensions cron job (T266024)

Dzahn closed this task as Resolved.Tue, Oct 27, 8:29 PM
Dzahn claimed this task.

@hashar resolved, right?

Dzahn triaged this task as Low priority.Tue, Oct 27, 8:30 PM

Change 636083 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove $wgExtDistListFile, unused

https://gerrit.wikimedia.org/r/636083

Mentioned in SAL (#wikimedia-operations) [2020-11-02T14:01:20Z] <hashar@deploy1001> Synchronized wmf-config/CommonSettings.php: Remove $wgExtDistListFile, unused - T266024 (duration: 00m 58s)

hashar closed this task as Resolved.Mon, Nov 2, 2:10 PM

Yes solved. Thank you everyone!